@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import '_itemcomments-variables.scss';

//Icon in bottom-bar
.yw-commentslist {
    position: relative;
    margin-left: $item-comments__bar-container--margin-left;

    &-showpopup-btn {
        min-width: 0;
        min-height: 0;

        &, &:hover, &:active, &:focus {
            background: transparent;
            box-shadow: none;
            min-height: $item-comments__bar-icon--size;
            min-width: $item-comments__bar-icon--size;
            position: relative;
        }
        .ye-editorarea-bottom-bar & {
            &, &:hover, &:active, &:focus {
                width: $item-comments__bar-bottom-button--size;
                height: $item-comments__bar-bottom-button--size;
            }
            &, &:active, &:focus {
                opacity: 0.5;
            }
            &:hover {
                opacity: 1;
            }
        }
        &:before {
            height: $item-comments__bar-icon--size;
            width: $item-comments__bar-icon--size;
            background: $item-comments__bar-icon--bg;
            margin-top: $item-comments__bar-icon--margin;
            margin-left: $item-comments__bar-icon--margin;
            content: "";
            position: absolute;
            top: 50%;
            left: 50%;
        }

    }
    
    span + .yw-commentslist-showpopup-btn {
        &, &:hover, &:active, &:focus {
            background-color: $black__blueish--300;
            opacity: 1;
        }
    }

    &-comments-count-label {
        color: $item-comments__bar-comment-counter--color;
        cursor: $item-comments__bar-comment-counter--cursor;
        top: $item-comments__bar-comment-counter--top;
        left: $item-comments__bar-comment-counter--left;
        background: $item-comments__bar-comment-counter--bg;        
        font-size: $item-comments__bar-comment-counter--font-size;
        min-width: $item-comments__bar-comment-counter--min-width;
        height: $item-comments__bar-comment-counter--height;
        border-radius: $item-comments__bar-comment-counter--border-radius;
        padding: $item-comments__bar-comment-counter--padding;
        display: inline-block;
        position: absolute;
        text-align: center;

        .ye-editorarea-bottom-bar & {
            left: $item-comments__bar-bottom-comment-counter--left;
            top: $item-comments__bar-bottom-comment-counter--top;
        }
    }
}
